# Uses of Interface
com.ocient.jdbc.XGConnection.ResponseHandler

Packages that use XGConnection.ResponseHandler
Package
Description
com.ocient.jdbc

## Uses of XGConnection.ResponseHandler in com.ocient.jdbc

Methods in com.ocient.jdbc with parameters of type XGConnection.ResponseHandler
Modifier and Type
Method
Description
`protected <Response> CompletionStage<CompletableFutures.SQLResult<Response>>`
XGConnection.`sendRequest(ClientWireProtocol.Request request, XGConnection.ResponseHandler<Response> responseHandler, Predicate<SQLWarning> warningHandler, XGConnection.ConfirmationSupplier<Response> confirmationSupplier)`
Sends a request message to the remote server and waits for a response.